# Accept the deposit for this face-to-face transaction as a guest seller

Endpoint: POST /api/v1/p2p/transactions/{transaction_id}/accept_deposit_with_guest_seller
Version: 0.1.0
Security: APIKey

## Path parameters:

  - `transaction_id` (integer, required)

## Header parameters:

  - `Trustap-User` (string)
    Required in client flows, where you make API calls on behalf of another Trustap user.

## Response 200 fields (application/json):

  - `allocate_extra_price_to_client` (boolean)

  - `allocate_postage_price_to` (string)
    Enum: "seller", "client", "service"

  - `amount_refunded` (integer)

  - `amount_released` (integer)

  - `buyer_handover_confirmed` (string)

  - `buyer_id` (string)

  - `buyer_is_guest` (boolean)

  - `cancellation` (object)

  - `cancellation.reason` (string, required)

  - `cancelled` (string)

  - `charge_config` (integer)

  - `claimed_by_buyer` (string)

  - `claimed_by_seller` (string)

  - `client_accrual_net` (integer)

  - `client_id` (string, required)

  - `complained` (string)

  - `complaint` (object)
    Example: {"category":"other","description":"Item was fake"}

  - `complaint.accepted` (string)

  - `complaint.category` (string, required)
    Enum: "item_not_received", "item_not_as_described", "other"

  - `complaint.description` (string, required)

  - `complaint_period_deadline` (string)

  - `complaint_period_ended` (string)

  - `contains_shipping` (boolean)

  - `created` (string, required)

  - `currency` (string, required)
    The currency of the transaction. Note that, at present, the
buyer must pay using the transaction's currency and the
seller will be paid in the transaction's currency.

  - `delivered` (string)

  - `deposit_accepted` (string)

  - `deposit_paid` (string)

  - `deposit_pricing` (object, required)
    Example: {"charge":78,"charge_buyer_client":0,"charge_buyer_service":78,"charge_seller":0,"charge_seller_client":0,"charge_seller_service":0,"extra_processing_charge":0,"postage_processing_charge":0,"price":12…

  - `deposit_pricing.charge` (integer, required)
    The total charge of the transaction paid by the buyer.
This is the sum of `charge_buyer_service` + `charge_buyer_client`.

  - `deposit_pricing.charge_buyer_client` (integer, required)
    Portion of the charge paid by the buyer that is collected as commission for the customer.

  - `deposit_pricing.charge_buyer_service` (integer, required)
    Portion of the charge that has been paid by the buyer that is collected as the Trustap fee.

  - `deposit_pricing.charge_international_payment` (integer)
    This charge is added to the seller charge if the payment method used in a transaction is from a different economic region to the seller.

  - `deposit_pricing.charge_seller` (integer, required)
    Portion of the charge paid by the seller.
This is the sum of `charge_seller_client` + `charge_seller_service` + `charge_international_payment`.

  - `deposit_pricing.charge_seller_client` (integer, required)
    Portion of the charge deducted from the seller's payout that that is collected as commission for the platform.

  - `deposit_pricing.charge_seller_service` (integer, required)
    Portion of the charge paid by the seller that is collected as the Trustap fee.

  - `deposit_pricing.deposit_fee_multiplier` (object)

  - `deposit_pricing.deposit_fee_multiplier.fee_multiplier` (number, required)

  - `deposit_pricing.extra_processing_charge` (integer, required)
    Fee collected to cover the processing costs associated with `price_extra`.
This charge is configurable in the Trustap Dashboard and is paid by either the client or the seller.

  - `deposit_pricing.postage_bearer` (string)
    Indicates who is responsible for paying the postage price.
Only present if `price_postage` is provided.
    Enum: "buyer", "seller", "client"

  - `deposit_pricing.postage_processing_charge` (integer)
    Fee collected to cover the processing costs associated with `price_postage`.
This charge is configurable in the Trustap Dashboard and is paid by either the client or the seller.

  - `deposit_pricing.price` (integer, required)
    The base price of the item or service in the transaction.

  - `deposit_pricing.price_extra` (integer, required)
    This field adds an additional cost to the transaction.
Use it to charge a buyer for things like tax or fulfillment costs.
The `price_extra` field is separate from the `price`` field. This separation displays the additional cost apart from the base price on the Trustap payment page.
It also helps clients track the breakdown of charges.

  - `deposit_pricing.price_postage` (integer)
    This field adds an additional cost to the transaction.
Use it to charge a buyer for things like shipping costs.
The `price_postage` field is separate from the `price`` field. This separation displays the additional cost apart from the base price on the Trustap payment page.
It also helps clients track the breakdown of charges.

  - `deposit_refunded` (string)

  - `deposit_review` (object)

  - `deposit_review.approved` (boolean)

  - `deposit_review.finished` (string)

  - `deposit_review.outcome_reason` (string)

  - `deposit_review.started` (string)

  - `deposit_review_flagged` (string)

  - `description` (string, required)

  - `funds_released` (string)

  - `id` (integer, required)

  - `image_url` (string)
    URL of the image displayed on the Trustap payment page to show the buyer
the item they are paying for.
Supports jpg, png, gif, bmp and svg files. Images displayed as a squares.
Non-square images are cropped

  - `is_deposit_payment_in_progress` (boolean, required)
    If the deposit is paid via a delayed payment method,
such as SEPA debit, this field will be `true` until the
payment has fully succeeded or failed.

  - `is_remainder_payment_in_progress` (boolean, required)
    If the remainder is paid via a delayed payment method,
such as SEPA debit, this field will be `true` until the
payment has fully succeeded or failed.

  - `items` (array)
    The items added to the transaction.

  - `items.charge_config` (integer)

  - `items.created` (string, required)

  - `items.currency` (string, required)
    Enum: "aud", "eur", "gbp", "myr", "pln", "sek", "usd", "huf", "aed", "brl", "cad", "chf", "dkk", "rsd", "czk"

  - `items.description` (string, required)

  - `items.item_id` (string, required)

  - `items.payment_method` (string)

  - `items.price` (integer, required)

  - `items.price_extra` (integer)

  - `items.price_postage` (integer)

  - `items.recurring_period` (string)
    Enum: "day", "week", "month", "year"

  - `items.ref_id` (string)

  - `items.tax_code` (string)

  - `items.transaction_id` (integer, required)

  - `join_code` (string)

  - `joined` (string)

  - `listing_id` (string)
    If the transaction is created from a listing then this is
the ID of that listing; otherwise this property is omitted.

  - `listing_type` (string)
    Enum: "single_use", "multi_use"

  - `order_issue` (object)
    Example: {"category":"other","description":"Item was not delivered"}

  - `order_issue.category` (string, required)
    Enum: "item_not_received", "other"

  - `order_issue.description` (string, required)

  - `order_issue_raised` (string)

  - `payout_id` (string)

  - `priced` (string)

  - `quantity` (integer, required)

  - `refunded` (string)

  - `refunds` (array)

  - `refunds.amount` (integer, required)

  - `refunds.id` (string, required)

  - `refunds.refunded` (string, required)

  - `rejected` (string)

  - `released_to_seller` (boolean)

  - `remainder_paid` (string)

  - `remainder_review_flagged` (string)

  - `remainder_skipped` (string)

  - `seller_handover_confirmed` (string)

  - `seller_id` (string)

  - `seller_is_guest` (boolean)

  - `seller_phone_number` (string)

  - `skip_remainder` (boolean, required)
    If `skip_remainder` is `true` then this transaction will
move to the "confirm handover" step after the deposit has
been accepted.

  - `status` (string, required)

  - `subscription_id` (string)

  - `tracked` (string)

  - `tracking` (object)
    Example: {"carrier":"ups","tracking_code":"***"}

  - `tracking.carrier` (string, required)

  - `tracking.tracking_code` (string, required)

## Response 403 fields (application/json):

  - `code` (string, required)

  - `error` (string, required)
    A contextual description of the error that occurred. When
handling errors the `code` field should be used to determine
the type of error that occurred, as the text in the `error`
field may change unexpectedly.

